Appearance
Personal access tokens
Personal access tokens (fjr_pat_…), created by fjordrun login.
Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).
List personal access tokens
GET /api/v1/auth/tokens
Authentication: a team API token or personal access token.
Response
200: JSON.
Example
bash
curl "https://api.fjordrun.com/api/v1/auth/tokens" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Revoke the token in use
DELETE /api/v1/auth/tokens/current
fjordrun logout: revoke the personal access token this request was made with.
Authentication: a team API token or personal access token.
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/auth/tokens/current" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"Revoke a personal access token
DELETE /api/v1/auth/tokens/{token_id}
Authentication: a team API token or personal access token.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
token_id | path | string (UUID) | yes |
Response
204: no content.
Example
bash
curl -X DELETE "https://api.fjordrun.com/api/v1/auth/tokens/$TOKEN_ID" \
-H "Authorization: Bearer $FJORDRUN_TOKEN"